Uploaded image for project: 'PUBLIC - Liferay Faces'
  1. PUBLIC - Liferay Faces
  2. FACES-1517

ICEfaces 1.8 portlets fail to deploy on JBoss AS7 because default JSF 2.1 API is assumed instead of JSF 1.2 API

    Details

      Description

      This issue was first raised in the forums here:
      http://www.liferay.com/community/forums/-/message_boards/view_message/22845662

      The solution is to add the following markup to the WEB-INF/web.xml descriptor in the icefaces1-portlet and icefaces1-ipc-ajax-push-portlet demos:

      <context-param>
          <param-name>org.jboss.jbossfaces.JSF_CONFIG_NAME</param-name>
          <param-value>Mojarra-1.2</param-value>
      </context-param>
      

        Attachments

          Activity

            People

            Assignee:
            neil.griffin Neil Griffin
            Reporter:
            neil.griffin Neil Griffin
            Participants of an Issue:
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Packages

                Version Package
                liferay-faces-2.1.2-ga3